<template>
  <div
    class="
      flex
      items-center
      justify-between
      w-full
      p-4
      text-sm
      bg-white
      border-b
      md:py-0
      md:px-12
      d:text-md
    "
  >
    <div class="mt-1 mr-4">Penaindie</div>
    <div class="relative">
      <div
        @click="showingNavigationDropdown = true"
        class="flex items-center cursor-pointer select-none group"
      >
        <div
          class="
            mr-1
            text-gray-800
            whitespace-nowrap
            group-hover:text-red-600
            focus:text-red-600
          "
        >
          <span>{{ $page.props.auth.user.name }}</span>
        </div>
        <svg
          class="
            w-5
            h-5
            text-gray-800
            fill-current
            group-hover:text-red-600
            focus:text-red-600
          "
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 20 20"
        >
          <path
            d="M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z"
          />
        </svg>
      </div>

      <div
        :class="{
          block: showingNavigationDropdown,
          hidden: !showingNavigationDropdown,
        }"
      >
        <div
          class="
            absolute
            top-0
            right-0
            left-auto
            z-20
            py-2
            mt-8
            text-sm
            whitespace-nowrap
            bg-white
            rounded
            shadow-xl
          "
        >
          <Link
            :href="route('profile')"
            class="block px-6 py-2 hover:bg-red-600 hover:text-white"
          >
            My Profile
          </Link>
          <Link
            :href="route('user')"
            class="block px-6 py-2 hover:bg-red-600 hover:text-white"
          >
            Manage Users
          </Link>
          <Link
            :href="route('logout')"
            method="post"
            as="button"
            class="
              block
              w-full
              px-6
              py-2
              text-left
              focus:outline-none
              hover:bg-red-600
              hover:text-white
            "
          >
            Logout
          </Link>
        </div>
        <div
          @click="showingNavigationDropdown = false"
          class="fixed inset-0 z-10 bg-black opacity-25"
        ></div>
      </div>
    </div>
  </div>
</template>
<script>
import { Link } from "@inertiajs/inertia-vue3";
export default {
  components: {
    Link,
  },
  data() {
    return {
      showingNavigationDropdown: false,
    };
  },
};
</script>
<style>
</style>